Bug 1475774 - RHV-M requesting four GetDeviceListVDSCommand when editing storage domain
Summary: RHV-M requesting four GetDeviceListVDSCommand when editing storage domain
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.1.4
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ovirt-4.4.0
: 4.3.0
Assignee: shani
QA Contact: Shir Fishbain
URL:
Whiteboard:
Depends On: 1259353
Blocks: 1713213
TreeView+ depends on / blocked
 
Reported: 2017-07-27 10:22 UTC by nijin ashok
Modified: 2020-09-10 11:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, when creating/managing an iSCSI storage domain, there was no indication that the operation may take a long time. In this release, the following message has been added: “Loading... A large number of LUNs may slow down the operation.”
Clone Of:
: 1713213 (view as bug list)
Environment:
Last Closed: 2020-08-04 13:16:05 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3132211 0 None None None 2017-07-31 05:47:32 UTC
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:16:42 UTC
oVirt gerrit 100214 0 'None' MERGED webadmin: A notification while loading a large amount of LUNs 2020-08-03 13:28:29 UTC

Description nijin ashok 2017-07-27 10:22:15 UTC
Description of problem:

When we click on Manage domain , RHV-M is requesting 4 GetDeviceListVDSCommand with same arguments on the same host. The whole process can take around 1-2 minute in an environment with large number of LUNs.

For the customer, it was taking around 90 seconds in a host which is having 181 LUNs. Each GetDeviceListVDSCommand was taking around 15-20 seconds (Expected with large number of LUNs). The customer is using RHEV 3.6 and I can see 6  GetDeviceListVDSCommand however it's reduced to 4 in 4.1. 


Version-Release number of selected component (if applicable):

RHV 4.1
rhevm-4.1.3.5-0.1.el7.noarch

How reproducible:

100%

Steps to Reproduce:

1. Click on manage storage domain and find the GetDeviceListVDSCommand executed in the engine log.

Actual results:

Editing storage domain can take some time to show up if the host is having large number of LUNs.

Expected results:

If all the calls are same, issue only 1 call while clicking edit storage domain.

Additional info:

Comment 5 Sandro Bonazzola 2019-01-28 09:40:07 UTC
This bug has not been marked as blocker for oVirt 4.3.0.
Since we are releasing it tomorrow, January 29th, this bug has been re-targeted to 4.3.1.

Comment 7 Tal Nisan 2019-02-18 11:31:20 UTC
Shani, please add a message in the dialog that having a high number of LUNs will slow the operation down

Comment 13 RHV bug bot 2019-12-13 13:15:36 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 14 RHV bug bot 2019-12-20 17:45:13 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 15 Shir Fishbain 2020-01-02 09:11:42 UTC
Verified 

After 4 times that the GetDeviceListVDSCommand appears with the same arguments on the same host in the engine log, you can immediately edit the storage domain.

ovirt-engine-4.4.0-0.13.master.el7.noarch
vdsm-4.40.0-164.git38a19bb.el8ev.x86_64

Comment 16 RHV bug bot 2020-01-08 14:47:33 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 17 RHV bug bot 2020-01-08 15:16:49 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 18 RHV bug bot 2020-01-24 19:49:17 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 21 errata-xmlrpc 2020-08-04 13:16:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.